<?php
require('../dbconnect.php');

session_start();

$n = $_SESSION['plist']['selected'];
$member = $_SESSION['plist'][$n]['member'];

if (empty($_POST['title'])) {
	$_POST['title'] = $_SESSION['plist'][$n]['title'];
}
if (empty($_POST['field'])) {
	$_POST['field'] = $_SESSION['plist'][$n]['field'];
}
if (empty($_POST['keyword0'])) {
	$_POST['keyword0'] = $_SESSION['plist'][$n]['keyword0'];
}
if (empty($_POST['keyword1'])) {
	$_POST['keyword1'] = $_SESSION['plist'][$n]['keyword1'];
}
if (empty($_POST['keyword2'])) {
	$_POST['keyword2'] = $_SESSION['plist'][$n]['keyword2'];
}
if (empty($_POST['comment'])) {
	$_POST['comment'] = $_SESSION['plist'][$n]['comment'];
}
if ($_POST['num_collabo'] == '') {
	$_POST['num_collabo'] = $_SESSION['plist'][$n]['member'];
}

if (!empty($_POST)) {
	
	// エラー項目の確認
	if ($_POST['title'] == '') {
		$error['title'] = 'blank';
	}
	if ($_POST['keyword0'] == '') {
		$error['keyword0'] = 'blank';
	}
	if ($_POST['comment'] == '') {
		$error['comment'] = 'blank';
	}
	if (mb_strlen($_POST['comment'], 'UTF-8') > 400) {
		$error['comment'] = 'max';
	}
	//echo var_dump($_POST);

	// editcheck.phpへ受け渡し
	if (empty($error) && isset($_POST['submit0'])) {
		$_SESSION['paper_edit'] = $_POST;
		$_SESSION['paper_edit']['member'] = $_POST['num_collabo'];
		echo var_dump($_SESSION['paper_edit']);
		header('Location: editcheck.php');
		exit();
	}
}

// 書き直し
if ($_REQUEST['action'] == 'rewrite') {
	$_POST = $_SESSION['paper_edit'];
	$error['rewite'] = true;
}

?>

<!DOCTYPE html>
<html lang="ja">

<head>
<meta charset="UTF-8" />
<link rel="stylesheet" type="text/css" href="../style.css" />
<title>JAEIS第8回全国大会 発表情報の編集</title>
</head>

<body>
<div id="wrap">
  <div id="head2">
    <h1>JAEIS第8回全国大会 発表情報の編集</h1>
  </div>

  <div id="content">
  <p><a href="upload.php">発表情報ページへ戻る</a><hr /></p>
  <p>発表情報の中で、下記の項目を変更可能です。
	<hr />
</p>
  <form action="" method="post" enctype="multipart/form-data">

	<dl>

	<dt>発表題目<span class="required">必須</span></dt>
	<dd>
        <input type="text" name="title" size="70" maxlength="255" value="<?php echo htmlspecialchars($_POST['title'], ENT_QUOTES, 'UTF-8'); ?>" />
        <?php if ($error['title'] == 'blank'): ?>
	<p class="error">* 発表題目を入力してください</p>
	<?php endif; ?>
 	</dd>

<dt>分野<span class="required">必須</span></dt>
        <dd>
        <input type="radio" name="field" value="0"<?php if($_POST['field'] == '0') print('checked'); ?> />カリキュラム・教材　
        <input type="radio" name="field" value="1"<?php if($_POST['field'] == '1') print('checked'); ?> />情報科の考察・評価　
        <input type="radio" name="field" value="2"<?php if($_POST['field'] == '2') print('checked'); ?> />教員養成<br />
        <input type="radio" name="field" value="3"<?php if($_POST['field'] == '3') print('checked'); ?> />社会と情報　
        <input type="radio" name="field" value="4"<?php if($_POST['field'] == '4') print('checked'); ?> />情報の科学　
        <input type="radio" name="field" value="5"<?php if($_POST['field'] == '5') print('checked'); ?> />プログラミング教育<br />
        <input type="radio" name="field" value="6"<?php if($_POST['field'] == '6') print('checked'); ?> />高大連携　
        <input type="radio" name="field" value="7"<?php if($_POST['field'] == '7') print('checked'); ?> />教育の情報化　
        <input type="radio" name="field" value="8"<?php if($_POST['field'] == '8') print('checked'); ?> />その他
        <?php if ($error['field'] == 'blank'): ?>
        <p class="error">* いずれかを選択してください</p>
        <?php endif; ?>
        </dd>

	<dt>キーワード（1つ以上3つ以内）<span class="required">必須</span></dt>
	<dd>
        <input type="text" name="keyword0" size="30" maxlength="255" value="<?php echo htmlspecialchars($_POST['keyword0'], ENT_QUOTES, 'UTF-8'); ?>" /><br />
        <input type="text" name="keyword1" size="30" maxlength="255" value="<?php echo htmlspecialchars($_POST['keyword1'], ENT_QUOTES, 'UTF-8'); ?>" /><br />
        <input type="text" name="keyword2" size="30" maxlength="255" value="<?php echo htmlspecialchars($_POST['keyword2'], ENT_QUOTES, 'UTF-8'); ?>" /><br />
        <?php if ($error['keyword0'] == 'blank'): ?>
	<p class="error">* キーワードは1つ以上入力してください</p>
	<?php endif; ?>
 	</dd>

	<dt>要旨（全角400字以内）<span class="required">必須</span></dt>
	<dd>
	<textarea name="comment" cols="80" rows="10"><?php echo htmlspecialchars($_POST['comment'], ENT_QUOTES, 'UTF-8'); ?></textarea>
        <?php if ($error['comment'] == 'blank'): ?>
	<p class="error">* 要旨を入力してください</p>
	<?php endif; ?>
        <?php if ($error['comment'] == 'max'): ?>
	<p class="error">* 要旨の文字数は400字以内でお願いします</p>
	<?php endif; ?>
	</dd>

	<dt>共同研究者
        <select name="num_collabo">
        <?php
        for($i = 0; $i < 10; $i++)
        {
            print('<option value="'.$i.'"');
            if($_POST['num_collabo'] == $i) print(' selected');
            print('>'.$i.'</option>');
        }
        ?>
        </select>名
        <input type="submit" name="num" value="更新" />（人数を変更したら、更新ボタンをクリック）
        </dt>

	<dd>
        <?php
        //for ($i = 1; $i < $_SESSION['plist'][$n]['member'] + 1; $i++)
        for ($i = 1; $i < $_POST['num_collabo'] + 1; $i++)
        {
            print('<hr />共同研究者'.$i.'<br />');
            $tmp_name = 'name_kanji'.$i.'_0';
            print('氏名（漢字）: （姓）<input type="text" name="'.$tmp_name.'" size="16" maxlength="255" value="'.mb_convert_kana(htmlspecialchars($_SESSION['plist'][$n]['name_kanji'.$i.'_0'], ENT_QUOTES, 'UTF-8'),'KVa').'" />');
            $tmp_name = 'name_kanji'.$i.'_1';
            print(' （名）<input type="text" name="'.$tmp_name.'" size="16" maxlength="255" value="'.mb_convert_kana(htmlspecialchars($_SESSION['plist'][$n]['name_kanji'.$i.'_1'], ENT_QUOTES, 'UTF-8'),'KVa').'" /><br />');

            if ($error[$tmp_name] == 'blank') {
                print('<p class="error">* 姓と名（漢字）を両方とも入力してくださ
い</p>');
            }

            $tmp_name = 'name_kana'.$i.'_0';
            print('氏名（カナ）: （姓）<input type="text" name="'.$tmp_name.'" size="16" maxlength="255" value="'.mb_convert_kana(htmlspecialchars($_SESSION['plist'][$n]['name_kana'.$i.'_0'], ENT_QUOTES, 'UTF-8'),'KVa').'" />'); 
            $tmp_name = 'name_kana'.$i.'_1';
            print(' （名）<input type="text" name="'.$tmp_name.'" size="16" maxlength="255" value="'.mb_convert_kana(htmlspecialchars($_SESSION['plist'][$n]['name_kana'.$i.'_1'], ENT_QUOTES, 'UTF-8'),'KVa').'" /><br />');

            if ($error[$tmp_name] == 'blank') {
                print('<p class="error">* 姓と名（カナ）を両方とも入力してくださ
い</p>');       
            }

            $tmp_name = 'organization'.$i;
            print('所属機関名: <input type="text" name="'.$tmp_name.'" size="40" maxlength="255" value="'.mb_convert_kana(htmlspecialchars($_SESSION['plist'][$n]['organization'.$i], ENT_QUOTES, 'UTF-8'),'KVa').'" /><br />');   
            if ($error[$tmp_name] == 'blank') {
                print('<p class="error">* 所属機関名を入力してください</p>');
            }
            $tmp_name = 'email'.$i;
            print('電子メール: <input type="text" name="'.$tmp_name.'" size="40" maxlength="255" value="'.mb_convert_kana(htmlspecialchars($_SESSION['plist'][$n]['email'.$i], ENT_QUOTES, 'UTF-8'),'KVa').'" /><br />');
            if ($error[$tmp_name] == 'blank') {
                print('<p class="error">* 電子メールを入力してください</p>');               
            }
        }
        ?>
	</dd>

	</dl>
	<div><input type="submit" name="submit0" value="変更内容を確認する" /></div>
  </form>


  </div>


  <div id="foot">
   <p>(C) 日本情報科教育学会第8回全国大会実行委員会</p>
  </div>

</div>

</body>
</html>
